cgGetProgramContext(3)

NAME
cgGetProgramContext - get a programs parent context

SYNOPSIS
  #include <Cg/cg.h>
  CGcontext cgGetProgramContext( CGprogram program );

PARAMETERS

program
    The program.

RETURN VALUES
Returns a CGcontext handle to the parent context.

Returns NULL if an error occurs.

DESCRIPTION
cgGetProgramContext allows the application to retrieve a handle to the context to which a given program belongs.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgGetProgramContext was introduced in Cg 1.1.

SEE ALSO
the cgCreateProgram manpage, the cgCreateContext manpage